/* Copyright (c) 2014 Stefan.Eilemann@epfl.ch */

#include <GLStats/version.h>
#include <sstream>

namespace GLStats
{

int Version::getMajor()
{
    return GLSTATS_VERSION_MAJOR;
}

int Version::getMinor()
{
    return GLSTATS_VERSION_MINOR;
}

int Version::getPatch()
{
    return GLSTATS_VERSION_PATCH;
}

int Version::getABI()
{
    return GLSTATS_VERSION_ABI;
}

std::string Version::getString()
{
    std::ostringstream version;
    version << getMajor() << '.' << getMinor() << '.' << getPatch();
    return version.str();
}

int Version::getRevision()
{
    return GLSTATS_VERSION_REVISION;
}

std::string Version::getRevString()
{
    std::ostringstream version;
    version << getString() << '.' << std::hex << getRevision() << std::dec;
    return version.str();
}

}
